# `BB.Error.Kinematics.SelfCollision`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/kinematics/self_collision.ex#L5)

Motion would cause self-collision.

Raised when the planned motion trajectory would result in
collision between robot links.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.SelfCollision{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  joint_positions: term(),
  link_a: term(),
  link_b: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Kinematics.SelfCollision` without raising it.

## Keys

- :link_a
- :link_b
- :joint_positions

---

*Consult [api-reference.md](api-reference.md) for complete listing*
